# GstGLMemoryEGL

GstGLMemoryEGL is created or wrapped through gst_gl_base_memory_alloc with GstGLVideoAllocationParams.

## GstGLMemoryEGL

Private instance

## GstGLEGL.GLMemoryEGL

Private instance

## GstGLEGL.GLMemoryEGL

Private instance

### Methods

#### gst_gl_memory_egl_get_display

    gpointer
    gst_gl_memory_egl_get_display (GstGLMemoryEGL * mem)

Parameters:

`mem` –

a GstGLMemoryEGL

Returns –

The EGLDisplay mem is associated with

Since : 1.10

#### GstGLEGL.GLMemoryEGL.prototype.get_display

    function GstGLEGL.GLMemoryEGL.prototype.get_display(): {
        // javascript wrapper for 'gst_gl_memory_egl_get_display'
    }

Parameters:

`mem` (GstGLEGL.GLMemoryEGL) –

a GstGLEGL.GLMemoryEGL

Returns (Object) –

The EGLDisplay mem is associated with

Since : 1.10

#### GstGLEGL.GLMemoryEGL.get_display

    def GstGLEGL.GLMemoryEGL.get_display (self):
        #python wrapper for 'gst_gl_memory_egl_get_display'

Parameters:

`mem` (GstGLEGL.GLMemoryEGL) –

a GstGLEGL.GLMemoryEGL

Returns (object) –

The EGLDisplay mem is associated with

Since : 1.10

#### gst_gl_memory_egl_get_image

    gpointer
    gst_gl_memory_egl_get_image (GstGLMemoryEGL * mem)

Parameters:

`mem` –

a GstGLMemoryEGL

Returns –

The EGLImage held by mem

Since : 1.10

#### GstGLEGL.GLMemoryEGL.prototype.get_image

    function GstGLEGL.GLMemoryEGL.prototype.get_image(): {
        // javascript wrapper for 'gst_gl_memory_egl_get_image'
    }

Parameters:

`mem` (GstGLEGL.GLMemoryEGL) –

a GstGLEGL.GLMemoryEGL

Returns (Object) –

The EGLImage held by mem

Since : 1.10

#### GstGLEGL.GLMemoryEGL.get_image

    def GstGLEGL.GLMemoryEGL.get_image (self):
        #python wrapper for 'gst_gl_memory_egl_get_image'

Parameters:

`mem` (GstGLEGL.GLMemoryEGL) –

a GstGLEGL.GLMemoryEGL

Returns (object) –

The EGLImage held by mem

Since : 1.10

### Functions

#### gst_gl_memory_egl_init_once

    gst_gl_memory_egl_init_once ()

Initializes the GL Memory allocator. It is safe to call this function multiple times. This must be called before any other GstGLMemoryEGL operation.

Since : 1.10

#### GstGLEGL.GLMemoryEGL.prototype.init_once

    function GstGLEGL.GLMemoryEGL.prototype.init_once(): {
        // javascript wrapper for 'gst_gl_memory_egl_init_once'
    }

Initializes the GL Memory allocator. It is safe to call this function multiple times. This must be called before any other GstGLMemoryEGL operation.

Since : 1.10

#### GstGLEGL.GLMemoryEGL.init_once

    def GstGLEGL.GLMemoryEGL.init_once ():
        #python wrapper for 'gst_gl_memory_egl_init_once'

Initializes the GL Memory allocator. It is safe to call this function multiple times. This must be called before any other GstGLMemoryEGL operation.

Since : 1.10

## GstGLMemoryEGLAllocator

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstAllocator
                    ╰──GstGLBaseMemoryAllocator
                        ╰──GstGLMemoryAllocator
                            ╰──GstGLMemoryEGLAllocator

Opaque GstGLMemoryEGLAllocator struct

### Class structure

#### GstGLMemoryEGLAllocatorClass

The GstGLMemoryEGLAllocatorClass only contains private data

### GstGLEGL.GLMemoryEGLAllocatorClass

The GstGLEGL.GLMemoryEGLAllocatorClass only contains private data

### GstGLEGL.GLMemoryEGLAllocatorClass

The GstGLEGL.GLMemoryEGLAllocatorClass only contains private data

## GstGLEGL.GLMemoryEGLAllocator

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Allocator
                    ╰──GstGL.GLBaseMemoryAllocator
                        ╰──GstGL.GLMemoryAllocator
                            ╰──GstGLEGL.GLMemoryEGLAllocator

Opaque GstGLEGL.GLMemoryEGLAllocator struct

## GstGLEGL.GLMemoryEGLAllocator

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Allocator
                    ╰──GstGL.GLBaseMemoryAllocator
                        ╰──GstGL.GLMemoryAllocator
                            ╰──GstGLEGL.GLMemoryEGLAllocator

Opaque GstGLEGL.GLMemoryEGLAllocator struct

## Functions

### gst_is_gl_memory_egl

    gboolean
    gst_is_gl_memory_egl (GstMemory * mem)

Parameters:

`mem` –

a GstMemory to test

Returns –

whether mem is a GstGLMemoryEGL

Since : 1.10

### GstGLEGL.prototype.is_gl_memory_egl

    function GstGLEGL.prototype.is_gl_memory_egl(mem: Gst.Memory): {
        // javascript wrapper for 'gst_is_gl_memory_egl'
    }

Parameters:

`mem` (Gst.Memory) –

a Gst.Memory to test

Returns (Number) –

whether mem is a GstGLEGL.GLMemoryEGL

Since : 1.10

### GstGLEGL.is_gl_memory_egl

    def GstGLEGL.is_gl_memory_egl (mem):
        #python wrapper for 'gst_is_gl_memory_egl'

Parameters:

`mem` (Gst.Memory) –

a Gst.Memory to test

Returns (bool) –

whether mem is a GstGLEGL.GLMemoryEGL

Since : 1.10

## Function Macros

### GST_GL_MEMORY_EGL_ALLOCATOR_CAST

    #define GST_GL_MEMORY_EGL_ALLOCATOR_CAST(obj)            ((GstGLMemoryEGLAllocator *)(obj))

## Constants

### GST_GL_MEMORY_EGL_ALLOCATOR_NAME

    #define GST_GL_MEMORY_EGL_ALLOCATOR_NAME "GLMemoryEGL"

The name of the GL Memory EGL allocator

### GstGLEGL.GL_MEMORY_EGL_ALLOCATOR_NAME

The name of the GL Memory EGL allocator

### GstGLEGL.GL_MEMORY_EGL_ALLOCATOR_NAME

The name of the GL Memory EGL allocator

### GST_TYPE_GL_MEMORY_EGL

    #define GST_TYPE_GL_MEMORY_EGL (gst_gl_memory_egl_get_type())

Since : 1.20

deprecated : 1.22: This type has no use.

The results of the search are